import java.util.*;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class sehirList
{
ArrayList<sehir> bilesim;
public sehirList(String isim)
{
       bilesim=new ArrayList<sehir>();   
	   File ffile;
       int sehirno;
       double x;
       double y;
       sehir s;       
       try{      
       ffile=new BufferedReader(new FileReader(isim));
          } catch(IOException e)
             {System.err.println("Error Opening File \n"+e.toString());
              System.exit(1);
             }
       for(j=0;j<n[i];j++)
       {  sehirno=Text.readInt(ffile);
	      x=Text.readDouble(ffile);
          y=Text.readDouble(ffile);
          s=new sehir(sehirno,x,y);
          if(!bilesim.contains(s)) bilesim.add(s);          
       }
    //close ffile
    try{
       ffile.close();
       } catch(IOException e)
       {
       System.err.println("Error Closing File\n"+e.toString());
       System.exit(1);
       }
}

}